Avro C#

Public Member Functions | List of all members
Avro.Reflect.FuncFieldConverter< TAvro, TProperty > Class Template Reference

Field converter using a Func More...

Inheritance diagram for Avro.Reflect.FuncFieldConverter< TAvro, TProperty >:

## Public Member Functions
| FuncFieldConverter (Func< TAvro, Schema, TProperty > from, Func< TProperty, Schema, TAvro > to)
| Initializes a new instance of the FuncFieldConverter<A, P> class. More...
override TProperty | From (TAvro o, Schema s)
| Inherited conversion method - call the Func. More...
override TAvro | To (TProperty o, Schema s)
| Inherited conversion method - call the Func. More...
Public Member Functions inherited from Avro.Reflect.TypedFieldConverter< TAvro, TProperty >
object | FromAvroType (object o, Schema s)
| Implement untyped interface More...
Type | GetAvroType ()
| Implement untyped interface More...
Type | GetPropertyType ()
| Implement untyped interface More...
object | ToAvroType (object o, Schema s)
| Implement untyped interface More...

## Detailed Description

Field converter using a Func

Template Parameters

  TAvro | Avro type
  TProperty | Property type

## Constructor & Destructor Documentation

## ◆ FuncFieldConverter()

Avro.Reflect.FuncFieldConverter< TAvro, TProperty >.FuncFieldConverter | ( | Func< TAvro, Schema, TProperty > | from,
|  | Func< TProperty, Schema, TAvro > | to
| ) |  |
| inline

Initializes a new instance of the FuncFieldConverter<A, P> class.

Parameters

  from | Delegate to convert from C# type to Avro type
  to | Delegate to convert from Avro type to C# type

## Member Function Documentation

## ◆ From()

override TProperty Avro.Reflect.FuncFieldConverter< TAvro, TProperty >.From | ( | TAvro | o,
|  | Schema | s
| ) |  |
| inline virtual

Inherited conversion method - call the Func.

Parameters

  o |
  s |

Returns

Implements Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.

## ◆ To()

override TAvro Avro.Reflect.FuncFieldConverter< TAvro, TProperty >.To | ( | TProperty | o,
|  | Schema | s
| ) |  |
| inline virtual

Inherited conversion method - call the Func.

Parameters

  o |
  s |

Returns

Implements Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/FuncFieldConverter.cs